summaryrefslogtreecommitdiff
path: root/dev-python/bitstring/bitstring-3.1.6.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/bitstring/bitstring-3.1.6.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/bitstring/bitstring-3.1.6.ebuild')
-rw-r--r--dev-python/bitstring/bitstring-3.1.6.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev-python/bitstring/bitstring-3.1.6.ebuild b/dev-python/bitstring/bitstring-3.1.6.ebuild
new file mode 100644
index 000000000000..57771fd55f93
--- /dev/null
+++ b/dev-python/bitstring/bitstring-3.1.6.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+DESCRIPTION="A pure Python module for creation and analysis of binary data"
+HOMEPAGE="https://github.com/scott-griffiths/bitstring"
+SRC_URI="https://github.com/scott-griffiths/${PN}/archive/${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+S=${WORKDIR}/${PN}-${P}
+
+DOCS=( README.rst release_notes.txt )
+
+python_test() {
+ pushd test >/dev/null || die
+ "${PYTHON}" -m unittest discover || die "Testing failed with ${EPYTHON}"
+ popd >/dev/null || die
+}